Add to Basket Compare Quick view Cisco WS-C2924-XL - Cisco 2900 Catalys 2924 XL 24 port 10/100 Port Switch (Refurbished) MSRP: £690.50 Now: £575.42 Inc. VAT Was: MSRP: £575.42 Now: £479.52 Ex. VAT Was: Cisco 2900 Catalys 2924 XL 24 port 10/100 Port Switch (Refurbished) Mfr P/N WS-C2924-XL MSRP: £690.50 Now: £575.42 Inc. VAT Was: MSRP: £575.42 Now: £479.52 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco SG250-10P-K9-NA Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black netwo MSRP: £417.23 Now: £347.69 Inc. VAT Was: MSRP: £347.69 Now: £289.74 Ex. VAT Was: Management featuresReset buttonYesSwitch typeManagedWeb-based managementYesSystem event logYesQuality of Service (QoS) supportYesMulticast supportYesMIB supportlldp-MIB, lldpextdot1-MIB,... MSRP: £417.23 Now: £347.69 Inc. VAT Was: MSRP: £347.69 Now: £289.74 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco SF200-48 Black MSRP: £698.09 Now: £581.74 Inc. VAT Was: MSRP: £581.74 Now: £484.78 Ex. VAT Was: Management featuresWeb-based managementYesQuality of Service (QoS) supportYesMulticast supportYesPorts & interfacesBasic switching RJ-45 Ethernet ports quantity48Gigabit Ethernet (copper) ports... MSRP: £698.09 Now: £581.74 Inc. VAT Was: MSRP: £581.74 Now: £484.78 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco Catalyst Compact 2960C-8TC-S Switch 8 Ports Managed MSRP: £689.57 Now: £574.64 Inc. VAT Was: MSRP: £574.64 Now: £478.87 Ex. VAT Was: Manufacturer: Cisco Device Type: Switch - 8 ports - Managed Enclosure Type: Desktop, rack-mountable, wall-mountable 1U Subtype: Fast Ethernet Ports: 8 x 10/100 + 2 x shared Gigabit SFP MSRP: £689.57 Now: £574.64 Inc. VAT Was: MSRP: £574.64 Now: £478.87 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco SG100-16 - Cisco Small Business SG100 16-Port 10/100/1000Mbps Gigabit Unmanaged Switch (Refurbished) MSRP: £707.68 Now: £589.73 Inc. VAT Was: MSRP: £589.73 Now: £491.44 Ex. VAT Was: Cisco Small Business SG100 16-Port 10/100/1000Mbps Gigabit Unmanaged Switch (Refurbished) Mfr P/N SG100-16 MSRP: £707.68 Now: £589.73 Inc. VAT Was: MSRP: £589.73 Now: £491.44 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco WS-C2960PD-8TT-L - Cisco Swch Catalyst 2960 Pwr 8 10/100 + 1 1000bt L (Refurbished) MSRP: £825.05 Now: £687.54 Inc. VAT Was: MSRP: £687.54 Now: £572.95 Ex. VAT Was: Cisco Swch Catalyst 2960 Pwr 8 10/100 + 1 1000bt L (Refurbished) Mfr P/N WS-C2960PD-8TT-L MSRP: £825.05 Now: £687.54 Inc. VAT Was: MSRP: £687.54 Now: £572.95 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco C3850-NM-4-1G= Fast Ethernet,Gigabit Ethernet network switch module MSRP: £520.70 Now: £433.92 Inc. VAT Was: MSRP: £433.92 Now: £361.60 Ex. VAT Was: NetworkingEthernet LAN data rates10,100,1000,10000 Mbit/sEthernet interface typeFast Ethernet, Gigabit EthernetCopper ethernet cabling technology1000BASE-T,100BASE-T,10BASE-TTechnical detailsEthernet... MSRP: £520.70 Now: £433.92 Inc. VAT Was: MSRP: £433.92 Now: £361.60 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco WS-C6500 - Cisco Catalyst Series Loaded Ws-x6k-sup2-2ge (Refurbished) MSRP: £758.58 Now: £632.15 Inc. VAT Was: MSRP: £632.15 Now: £526.79 Ex. VAT Was: Cisco Catalyst Series Loaded Ws-x6k-sup2-2ge (Refurbished) Mfr P/N WS-C6500 MSRP: £758.58 Now: £632.15 Inc. VAT Was: MSRP: £632.15 Now: £526.79 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco WS-X6816-GBIC - Cisco Catalyst 6500 16 Port Gigabit Ethernet Module 2 fab I F Req GBICs DFC DFC3 (Refurbished) MSRP: £779.02 Now: £649.18 Inc. VAT Was: MSRP: £649.18 Now: £540.98 Ex. VAT Was: Cisco Catalyst 6500 16 Port Gigabit Ethernet Module 2 fab I F Req GBICs DFC DFC3 (Refurbished) Mfr P/N WS-X6816-GBIC MSRP: £779.02 Now: £649.18 Inc. VAT Was: MSRP: £649.18 Now: £540.98 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco WS-X6148A-GE-45AF - Cisco Catalyst 6500 48Port PoE 802.3af 10/100/1000 With Jumbo Frame (Refurbished) MSRP: £3,875.98 Now: £3,229.98 Inc. VAT Was: MSRP: £3,229.98 Now: £2,691.65 Ex. VAT Was: Cisco Catalyst 6500 48Port PoE 802.3af 10/100/1000 With Jumbo Frame (Refurbished) Mfr P/N WS-X6148A-GE-45AF MSRP: £3,875.98 Now: £3,229.98 Inc. VAT Was: MSRP: £3,229.98 Now: £2,691.65 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco WS-C3750G-24T-S - Cisco Catalyst 3750 24-Port Managed Layer-3 Gigabit Ethernet Network Switch + 4 SFP Standard Multilayer 1U Rackmountable (Refurbished) MSRP: £558.23 Now: £465.19 Inc. VAT Was: MSRP: £465.19 Now: £387.66 Ex. VAT Was: WS-C3750G-24T-S - Cisco Catalyst 3750 24-Port Managed Layer-3 Gigabit Ethernet Network Switch + 4 SFP Standard Multilayer 1U Rackmountable (Refurbished) MSRP: £558.23 Now: £465.19 Inc. VAT Was: MSRP: £465.19 Now: £387.66 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco Small Business SF220-48 Managed network switch L2 Fast Ethernet (10/100) Black MSRP: £793.38 Now: £661.15 Inc. VAT Was: MSRP: £661.15 Now: £550.96 Ex. VAT Was: Management featuresSwitch typeManaged network switchWeb-based managementYesSystem event logYesQuality of Service (QoS) supportYesMulticast supportYesMIB supportRFC1213, RFC2863, RFC4188, RFC2674,... MSRP: £793.38 Now: £661.15 Inc. VAT Was: MSRP: £661.15 Now: £550.96 Ex. VAT Was: Add to Basket Compare Quick view